ParcelsResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class ParcelsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ParcelsResourceApi

-     public class ParcelsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParcelsResourceApi()`
    `ParcelsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiParcelUsage` | `getParcelUsage(String clusterName)` Retrieve details parcel usage information for the cluster.
    `okhttp3.Call` | `getParcelUsageAsync(String clusterName, ApiCallback<ApiParcelUsage> callback)` Retrieve details parcel usage information for the cluster.
    `okhttp3.Call` | `getParcelUsageCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getParcelUsage
    `ApiResponse<ApiParcelUsage>` | `getParcelUsageWithHttpInfo(String clusterName)` Retrieve details parcel usage information for the cluster.
    `ApiParcelList` | `readParcels(String clusterName, String view)` Lists all parcels that the cluster has access to.
    `okhttp3.Call` | `readParcelsAsync(String clusterName, String view, ApiCallback<ApiParcelList> callback)` Lists all parcels that the cluster has access to.
    `okhttp3.Call` | `readParcelsCall(String clusterName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readParcels
    `ApiResponse<ApiParcelList>` | `readParcelsWithHttpInfo(String clusterName, String view)` Lists all parcels that the cluster has access to.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParcelsResourceApi

          public ParcelsResourceApi()

    - #### ParcelsResourceApi

          public ParcelsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### getParcelUsageCall

          public okhttp3.Call getParcelUsageCall(String clusterName,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for getParcelUsage
      Parameters:
        `clusterName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getParcelUsage

          public ApiParcelUsage getParcelUsage(String clusterName)
                                        throws ApiException

      Retrieve details parcel usage information for the cluster. Retrieve details parcel usage information for the cluster. This describes which processes, roles and hosts are using which parcels.
      Parameters:
        `clusterName` - (required)
      Returns:
        ApiParcelUsage
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getParcelUsageWithHttpInfo

          public ApiResponse<ApiParcelUsage> getParcelUsageWithHttpInfo(String clusterName)
                                                                 throws ApiException

      Retrieve details parcel usage information for the cluster. Retrieve details parcel usage information for the cluster. This describes which processes, roles and hosts are using which parcels.
      Parameters:
        `clusterName` - (required)
      Returns:
        ApiResponse<ApiParcelUsage>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getParcelUsageAsync

          public okhttp3.Call getParcelUsageAsync(String clusterName,
                                                  ApiCallback<ApiParcelUsage> callback)
                                           throws ApiException

      Retrieve details parcel usage information for the cluster. (asynchronously) Retrieve details parcel usage information for the cluster. This describes which processes, roles and hosts are using which parcels.
      Parameters:
        `clusterName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readParcelsCall

          public okhttp3.Call readParcelsCall(String clusterName,
                                              String view,
                                              ProgressResponseBody.ProgressListener progressListener,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build call for readParcels
      Parameters:
        `clusterName` - (required)
        `view` - (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readParcels

          public ApiParcelList readParcels(String clusterName,
                                           String view)
                                    throws ApiException

      Lists all parcels that the cluster has access to. Lists all parcels that the cluster has access to.
      Parameters:
        `clusterName` - (required)
        `view` - (optional, default to summary)
      Returns:
        ApiParcelList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readParcelsWithHttpInfo

          public ApiResponse<ApiParcelList> readParcelsWithHttpInfo(String clusterName,
                                                                    String view)
                                                             throws ApiException

      Lists all parcels that the cluster has access to. Lists all parcels that the cluster has access to.
      Parameters:
        `clusterName` - (required)
        `view` - (optional, default to summary)
      Returns:
        ApiResponse<ApiParcelList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readParcelsAsync

          public okhttp3.Call readParcelsAsync(String clusterName,
                                               String view,
                                               ApiCallback<ApiParcelList> callback)
                                        throws ApiException

      Lists all parcels that the cluster has access to. (asynchronously) Lists all parcels that the cluster has access to.
      Parameters:
        `clusterName` - (required)
        `view` - (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.